Bug 179875 - java.lang.Exception gtktreestore.c:583 (gtk_tree_store_get_path): assertion failed: (G_NODE (iter->user_data)->parent != NULL)
java.lang.Exception gtktreestore.c:583 (gtk_tree_store_get_path): assertion f...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: frysk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sami Wagiaalla
Depends On:
  Show dependency treegraph
Reported: 2006-02-03 11:04 EST by Jeffrey Moyer
Modified: 2016-06-07 18:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-30 11:42:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 1863 None None None Never

  None (edit)
Description Jeffrey Moyer 2006-02-03 11:04:09 EST
Description of problem:

3-Feb-06 11:03:41 AM frysk.gui.FryskGui importPreferences
WARNING: /root/.frysk/.settings not found. Will be created on program exit
java.lang.Exception: file
line 583 (gtk_tree_store_get_path): assertion failed: (G_NODE
(iter->user_data)->parent != NULL)
   at org.gnu.glib.GObject.printStackTrace(java.lang.String)
   at .logFunc (/usr/lib/frysk/libgtkjni-2.8.so)
   at .g_logv (/usr/lib/frysk/libglib-2.0.so.0.800.3)
   at .g_log (/usr/lib/frysk/libglib-2.0.so.0.800.3)
   at .g_assert_warning (/usr/lib/frysk/libglib-2.0.so.0.800.3)
   at .gtk_tree_store_remove (/usr/lib/frysk/libgtk-x11-2.0.so.0.800.6)
   at .Java_org_gnu_gtk_TreeStore_gtk_1tree_1store_1remove
   at org.gnu.gtk.TreeStore.gtk_tree_store_remove(org.gnu.glib.Handle,
org.gnu.glib.Handle) (/usr/lib/frysk/libgtkjava-2.8.so)
   at org.gnu.gtk.TreeStore.removeRow(org.gnu.gtk.TreeIter)
   at org.gnu.glib.CustomEvents.runEvents() (/usr/lib/frysk/libgtkjava-2.8.so)
   at .function (/usr/lib/frysk/libgtkjni-2.8.so)
   at .dispatch (/usr/lib/frysk/libgtkjni-2.8.so)
   at .g_main_context_dispatch (/usr/lib/frysk/libglib-2.0.so.0.800.3)
   at .g_main_loop_run (/usr/lib/frysk/libglib-2.0.so.0.800.3)
   at .gtk_main (/usr/lib/frysk/libgtk-x11-2.0.so.0.800.6)
   at .Java_org_gnu_gtk_Gtk_gtk_1main (/usr/lib/frysk/libgtkjni-2.8.so)
   at org.gnu.gtk.Gtk.gtk_main() (/usr/lib/frysk/libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.main() (/usr/lib/frysk/libgtkjava-2.8.so)
   at gnu.java.lang.MainThread.call_main() (/usr/lib/libgcj.so.6.0.0)
   at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)

Version-Release number of selected component (if applicable):


How reproducible:
I'm not sure, this happened when frsyk was open and I was doing a build.

Steps to Reproduce:
1.  Install frsyk
2.  as a user, sudo frysk
3.  leave frysk open and do some work
Actual results:
program aborts

Expected results:

Additional info:
Comment 1 Phil Muldoon 2006-02-06 11:11:07 EST
Hi and thanks for the report! This also being tracked upstream

Comment 2 Phil Muldoon 2006-02-06 13:28:47 EST
Reopening as I messed up the upstream link. Apologies.
Comment 3 Andrew Cagney 2006-11-30 11:42:11 EST
Tested on 4.4 while running autogen.sh

Note You need to log in before you can comment on or make changes to this bug.